#!/bin/sh
### Copyright 1999-2012. Parallels IP Holdings GmbH. All Rights Reserved.

echo 0 > /usr/local/psa/var/modules/firewall/ip_forward.active
chmod 644 /usr/local/psa/var/modules/firewall/ip_forward.active

echo 0 > /proc/sys/net/ipv4/ip_forward
/usr/sbin/iptables -F
/usr/sbin/iptables -X
/usr/sbin/iptables -Z
/usr/sbin/iptables -P INPUT ACCEPT
/usr/sbin/iptables -P OUTPUT ACCEPT
/usr/sbin/iptables -P FORWARD ACCEPT

if [ -e "/proc/net/if_inet6" -a -x "/usr/sbin/ip6tables" ]; then
	/usr/sbin/ip6tables -F
	/usr/sbin/ip6tables -X
	/usr/sbin/ip6tables -Z
	/usr/sbin/ip6tables -P INPUT ACCEPT
	/usr/sbin/ip6tables -P OUTPUT ACCEPT
	/usr/sbin/ip6tables -P FORWARD ACCEPT
fi

rm -f /usr/local/psa/var/modules/firewall/active.flag

exit 0
